Package org.zeromq

# Class ZThread

java.lang.Object
org.zeromq.ZThread

public class ZThread extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ZThread.IAttachedRunnable`
`static interface`
`ZThread.IDetachedRunnable`

## Constructor Summary

Constructors
Constructor
Description
`ZThread()`

## Method Summary

Modifier and Type
Method
Description
`static ZMQ.Socket`
`fork(ZContext ctx, ZThread.IAttachedRunnable runnable, Object... args)`
`static void`
`start(ZThread.IDetachedRunnable runnable, Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZThread

public ZThread()

## Method Details

### start

public static void start(ZThread.IDetachedRunnable runnable, Object... args)

### fork

public static ZMQ.Socket fork(ZContext ctx, ZThread.IAttachedRunnable runnable, Object... args)